summaryrefslogtreecommitdiffstats
path: root/mkspecs/features/qt_common.prf
Commit message (Collapse)AuthorAgeFilesLines
* Make configure -force-asserts affect the Qt build onlyJoerg Bornemann2020-08-271-0/+2
| | | | | | | | | | | | Before this change, configure -force-asserts would affect qmake-based user projects too, potentially forcing the user to remove the QT_FORCE_ASSERTS define in their own projects. [ChangeLog][configure] The -force-asserts option now affects the Qt build only, not user projects. Change-Id: Iecca3c9f7e8261996c5d8bcba8adbc0db1dc1c99 Reviewed-by: Alexandru Croitor <alexandru.croitor@qt.io>
* Remove no-longer-applicable -Wno-error for GCCThiago Macieira2020-07-311-9/+0
| | | | | | | | | | | | We don't appear to have implicit fallthroughs in our code anymore. The last deprecated copies and redundant moves are also gone. The other warning never had an explanation and doesn't show up when building full Qt anyway. Change-Id: Iad959315ad374ef288f5fffd15d683599a1a11b9 Reviewed-by: Marc Mutz <marc.mutz@kdab.com> Reviewed-by: Allan Sandfeld Jensen <allan.jensen@qt.io>
* Add -Wsuggest-override for gcc >= 9.2Alexander Volkov2020-07-241-0/+2
| | | | | | | | | gcc doesn't report warnings for final methods since version 9.2: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=78010 Change-Id: I7152351aac0e3bad86d777e119f25137ef97ec6f Reviewed-by: Qt CI Bot <qt_ci_bot@qt-project.org> Reviewed-by: Kai Koehne <kai.koehne@qt.io>
* Limit OpenGL deprecation silencing on Apple platform to Qt itselfTor Arne Vestbø2020-07-021-0/+7
| | | | | | | | | | | | | | | | | | | | | Apple deprecated the entire OpenGL API in favor of Metal, which we are aware of, so we don't need to see the warnings when building Qt. Instead of applying the silencing globally for all Qt consumers, both internal and external, we now limit the silencing to Qt itself. That means user code that explicitly uses any of the deprecated APIs will see the warnings. Note that this does not apply to merely using any of the Qt OpenGL APIs. The user has to explicitly use the platform APIs that have been deprecated. The warnings need to be disabled on a build system level, so that that they are passed as -D flags on the command line. If the defines were done in Qt headers (qguiglobal.h e.g.), they would require the user to always include this header before any of the Apple headers. Change-Id: I3f2a2a5211332a059ad4416394251772c677fdcb Reviewed-by: Volker Hilsheimer <volker.hilsheimer@qt.io>
* Merge remote-tracking branch 'origin/5.14' into 5.15Liang Qi2020-04-201-1/+2
|\ | | | | | | | | | | | | | | | | | | | | | | Conflicts: mkspecs/features/qt_common.prf src/network/ssl/qsslsocket_openssl_symbols.cpp src/network/ssl/qsslsocket_openssl11_symbols_p.h src/network/ssl/qsslsocket_opensslpre11_symbols_p.h src/plugins/platforms/wasm/qwasmeventdispatcher.cpp Done-With: Timur Pocheptsov <timur.pocheptsov@qt.io> Change-Id: I04fb3139a0e2efd4bc2f0959f131679f192fa0f8
| * Fix path replacement on install for header module prl filesJoerg Bornemann2020-04-081-1/+2
| | | | | | | | | | | | | | | | | | | | | | | | For prefix builds the prl files of header modules still contained the absolute path of the install prefix instead of $$[QT_INSTALL_LIBS]. This was, because the QMAKE_PRL_INSTALL_REPLACE variable was only filled for 'lib' TEMPLATE projects. Header modules, however, have the 'aux' template. Fixes: QTBUG-82871 Change-Id: I90f248967f1bff41423d871a977ae91c78015bbd Reviewed-by: Alexandru Croitor <alexandru.croitor@qt.io>
* | Generate separate debug info for Qt tools tooJoerg Bornemann2020-03-031-1/+1
| | | | | | | | | | | | | | | | | | | | If Qt was configured with -separate-debug-info, Qt's tools should be separated from their debug information too. Fixes: QTBUG-56482 Change-Id: Ief0130db1787b767496d0052716183fe773460bf Reviewed-by: Ulf Hermann <ulf.hermann@qt.io> Reviewed-by: Kai Koehne <kai.koehne@qt.io>
* | macOS build: Fix 'direct access in function...' warningJoerg Bornemann2020-01-281-1/+3
|/ | | | | | | | | | | | | | | | | | For every executable that uses a static Qt library (e.g. rcc using libQt5Bootstrap.a) we got a warning: 'direct access in function...to global weak symbol'. This was because we've built all libraries with -fvisibility=hidden -fvisibility-inlines-hidden but not the executables linking against them. On macOS however, all translation units must have the same visibility setting. We're now setting the same visibilty for libs and executables on darwin. Fixes: QTBUG-81297 Change-Id: I2668e9385caa7f0ce78bf3727b4e5322bc4a294f Reviewed-by: Alexandru Croitor <alexandru.croitor@qt.io>
* Merge remote-tracking branch 'origin/5.13' into devLiang Qi2019-06-141-0/+6
|\ | | | | | | | | | | | | | | | | | | Conflicts: qmake/generators/makefile.cpp qmake/generators/unix/unixmake2.cpp src/corelib/thread/qthread_unix.cpp tests/auto/corelib/tools/qsharedpointer/tst_qsharedpointer.cpp Change-Id: I1df0d4ba20685de7f9300bf07458c13376493408
| * Fix QMAKE_PRL_INSTALL_REPLACE for macOSJoerg Bornemann2019-05-221-2/+6
| | | | | | | | | | | | | | | | | | | | | | | | | | The regular expression with the alternative is not portable. Use a separate QMAKE_PRL_INSTALL_REPLACE item. This amends commit f00de33. Fixes: QTBUG-75950 Change-Id: I78e172053f8b05be7d595a1c9e1695ea658b0547 Reviewed-by: Iikka Eklund <iikka.eklund@qt.io> Reviewed-by: Oliver Wolff <oliver.wolff@qt.io>
| * Replace absolute Qt lib dir in .prl filesJoerg Bornemann2019-05-201-0/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | In the case of building a Qt module repository against an installed qtbase the .prl files contain absolute paths to Qt dependencies e.g. '/install-prefix/lib/libQt5Core.so'. Those must be replaced with $$[QT_INSTALL_PREFIX]. The .prl replacement code however only takes $$MODULE_BASE_OUTDIR/lib into account. Fixes: QTBUG-75804 Change-Id: I5ea5623ca7396b672fded3f1b9434b9ad5ed12ec Reviewed-by: Oliver Wolff <oliver.wolff@qt.io>
* | Enable warnings_are_errors builds for MSVC 2017Allan Sandfeld Jensen2019-06-071-2/+2
|/ | | | | | | | Also remove it from versions no longer supported. Change-Id: I03a911a349527a81846e1820f95d775fe3943450 Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
* Merge remote-tracking branch 'origin/5.12' into 5.13Liang Qi2019-05-031-0/+4
|\ | | | | | | | | | | | | Conflicts: src/3rdparty/pcre2/qt_attribution.json Change-Id: Ibae941cb12662f27bd6962ee02bc235971c59a15
| * Fix prl replacements if libdir is in QMAKE_DEFAULT_LIBDIRSJoerg Bornemann2019-05-021-0/+4
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | QMAKE_PRL_LIBS contains absolute paths to libraries, e.g. libqtpcre2.a. On "make install" the libdir is replaced with the installation target libdir. If the libdir is in QMAKE_DEFAULT_LIBDIRS (e.g. /usr) then the replacement was empty. That worked fine for include paths but not for paths referencing files in that libdir: /my/build/lib/qtbase/lib/libqtpcre2.a would become /libqtpcre2.a. Add another replacement that takes care of file paths and inserts $$[QT_INSTALL_LIBS]. Fixes: QTBUG-75460 Change-Id: I4e84478a50c24d4143ad5695493cad2992735cf2 Reviewed-by: Edward Welbourne <edward.welbourne@qt.io> Reviewed-by: Samuli Piippo <samuli.piippo@qt.io>
* | Fix -Wdeprecated-copy warningsAllan Sandfeld Jensen2019-05-011-13/+6
| | | | | | | | | | | | | | | | | | | | Implicit copy constructors or methods are considered deprecated for classes that has one of the two or a destructor. The warning is enabled with -Wextra in gcc 9 Change-Id: Ic9be654f2a142fb186a4d5a7d6b4f7d6f4e611d8 Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
* | Add qmake support for c++2aAllan Sandfeld Jensen2019-04-191-0/+1
| | | | | | | | | | | | | | | | Makes it possible to build user projects and Qt with C++2a. It is not automatically upgraded to yet though. Change-Id: I949ce94871ddc53f21b7265a52b9c0e1370456c8 Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
* | Merge remote-tracking branch 'origin/5.12' into devQt Forward Merge Bot2018-12-151-3/+4
|\ \ | |/ | | | | Change-Id: Iad06d8c07dfc288c9d1a9f7ee3520285cea60546
| * Mark ICC 18 & 19 as warning-freeThiago Macieira2018-12-141-3/+4
| | | | | | | | | | Change-Id: I052407b777ec43f78378fffd15311de83f978817 Reviewed-by: Sérgio Martins <sergio.martins@kdab.com>
* | Merge remote-tracking branch 'origin/5.12' into devQt Forward Merge Bot2018-12-131-1/+16
|\ \ | |/ | | | | Change-Id: I0fe623517af28e408b642c879efd59f633ab63ac
| * Silence GCC 9 warningsVille Voutilainen2018-12-111-1/+16
| | | | | | | | | | Change-Id: I5654881a3adac6f67a38837321c8e1c3ce1e2d8f Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
* | Enable Werror for clang 7.0 tooSergio Martins2018-12-051-2/+2
|/ | | | | Change-Id: Idc8d39d198500632cfb7a3ec6b471ba6ec1ce4ee Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
* GCC: Disable the -Wmissing-field-initializers in GCC 4Thiago Macieira2018-06-181-0/+2
| | | | | | | | | | | | | | | Perfectly valid C++11 code trying to default-initialize an object with {} is being warned. GCC 5 and up only warn if you initialize some fields and not others. qcborvalue.h:68:25: error: missing initializer for member 'QCborError::c' [-Werror=missing-field-initializers] QCborError error = {}; ^ Task-number: QTBUG-68889 Change-Id: I6efb28c3145047559ec0fffd1538577de250e283 Reviewed-by: Edward Welbourne <edward.welbourne@qt.io> Reviewed-by: Liang Qi <liang.qi@qt.io>
* Merge remote-tracking branch 'origin/5.11' into devLiang Qi2018-05-241-2/+2
|\ | | | | | | | | | | | | | | | | | | Conflicts: mkspecs/features/qt_common.prf src/corelib/tools/qstring.cpp src/plugins/platforms/windows/qwindowsmousehandler.cpp src/widgets/widgets/qmainwindowlayout_p.h Change-Id: I5df613008f6336f69b257d08e49a133d033a9d65
| * Mark Clang 6 as warning-freeThiago Macieira2018-05-221-2/+2
| | | | | | | | | | Change-Id: I7f8a97595d874145b160fffd152973700c61a0cb Reviewed-by: Lars Knoll <lars.knoll@qt.io>
| * Revert "Detect C standard and try using the most recent"Friedemann Kleint2018-03-261-2/+0
| | | | | | | | | | | | | | | | | | | | | | | | | | | | The change causes a crash when compiling the xkbcommon 3rdparty library and compile failures (qtimageformats on Android). This reverts commit a47cb146809e32f43449dcfe9932833c2f0ab987. Task-number: QTBUG-67326 Task-number: QTBUG-67327 Change-Id: I5ddc4eccad699e3eaec535fd6a63d11b0026b42e Reviewed-by: Sami Nurmenniemi <sami.nurmenniemi@qt.io> Reviewed-by: Liang Qi <liang.qi@qt.io> Reviewed-by: Gatis Paeglis <gatis.paeglis@qt.io>
| * Detect C standard and try using the most recentAllan Sandfeld Jensen2018-03-211-0/+2
| | | | | | | | | | | | | | Fixes the default C version used with gcc < 5 Change-Id: I948dece961caed8e6b181e1c6e6b9dc43c46583f Reviewed-by: Oswald Buddenhagen <oswald.buddenhagen@qt.io>
* | Detect C standard and try using the most recent one (take 2)Allan Sandfeld Jensen2018-04-211-0/+2
| | | | | | | | | | | | | | Fixes the default C version used with gcc < 5 Change-Id: I948dece961caed8e6b181e1c6e6b9dc43c46583e Reviewed-by: Oswald Buddenhagen <oswald.buddenhagen@qt.io>
* | Turn on more warnings for Objective-C code on Apple platformsJake Petroules2018-03-051-9/+19
|/ | | | | | Change-Id: I7d5f211e2441415134c5905b159b41dc3b2b231b Reviewed-by: Gabriel de Dietrich <gabriel.dedietrich@qt.io> Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
* Make it an error to omit __builtin_available where neededJake Petroules2017-09-291-0/+9
| | | | | | | | | This guarantees that we have proper version checks in place for APIs on Apple platforms that are not necessarily available on the deployment target. Change-Id: I10060f8b910f2bb790aa4a9c6f8c5cdc14d7cf06 Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
* Merge remote-tracking branch 'origin/5.9' into 5.10Liang Qi2017-09-201-2/+2
|\ | | | | | | | | | | | | | | | | | | Conflicts: src/plugins/styles/mac/qmacstyle_mac.mm src/widgets/util/qcompleter.cpp src/widgets/widgets/qmainwindowlayout.cpp src/widgets/widgets/qmdisubwindow.cpp Change-Id: If0e96981af07ce36ac68f2e69211bc2120f93973
| * Mark Clang 5.0 as warning-freeThiago Macieira2017-09-181-2/+2
| | | | | | | | | | Change-Id: I27b55fdf514247549455fffd14b17a4ae1d8ff2d Reviewed-by: Jake Petroules <jake.petroules@qt.io>
* | Compare versions in qmake files with versionAtLeastAlexander Volkov2017-08-021-3/+2
|/ | | | | Change-Id: Iba5686131d9f3e22e9a4d6da473a61a845b0418e Reviewed-by: Oswald Buddenhagen <oswald.buddenhagen@qt.io>
* Disable the -Wstringop-overflow warning from GCC 7Thiago Macieira2017-07-031-0/+2
| | | | | | | | | | | It prints the warning even if we surround the affected code with QT_WARNING_DISABLE_GCC("-Wstringop-overflow") (see e4eaa629439fe1ba1e), so we have no alternative other than to disable the warning completely. Change-Id: Ia3e896da908f42939148fffd14c488c4006040e6 Reviewed-by: Ville Voutilainen <ville.voutilainen@qt.io> Reviewed-by: Giuseppe D'Angelo <giuseppe.dangelo@kdab.com> Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
* Enable stack-protector-strong for QNX 7.0.0James McDonnell2017-06-131-0/+1
| | | | | | | | | | | | | | | | | | | This was originally enabled in the mkspecs for 64-bit QNX 7.0.0 but that broke when the qtConfig change was made. It looks like qtConfig shouldn't be used in the platform mkspecs. I suspect the stack-protector changes were left out of the 32-bit mkspecs so that 6.6.0 builds wouldn't be affected. Ignore the stack-protector/stack-protector-all possibility since it isn't possible to access it without a command line option. Specifying both options doesn't even make sense since stack-protector-all encompasses stack-protector. For now, leave out command line control of this feature. Task-number: QTBUG-59644 Change-Id: I99323216be5b592dd2c3bef6d22da195764a6e65 Reviewed-by: Oswald Buddenhagen <oswald.buddenhagen@qt.io>
* Merge remote-tracking branch 'origin/5.8' into 5.9Liang Qi2017-03-271-1/+1
|\ | | | | | | Change-Id: Icdd71e9713725bda9c305e338f5c8b41a92ed8e8
| * Disable -Werror for QNX's compilerThiago Macieira2017-03-251-1/+1
| | | | | | | | | | | | | | | | | | | | The compiler is mostly GCC in disguise, but the libraries are not. Since the toolchain is not open, it's difficult to fix issues in it. Task-number: QTBUG-59671 Task-number: QTBUG-59672 Change-Id: Id92f4a61915b49ddaee6fffd14aea2639153f073 Reviewed-by: Jake Petroules <jake.petroules@qt.io>
* | Merge remote-tracking branch 'origin/5.8' into 5.9Liang Qi2017-02-081-2/+2
|\ \ | |/ | | | | | | | | | | | | Conflicts: configure.json mkspecs/win32-icc/qmake.conf Change-Id: Ibf40546b024d644c7d9ed490bee15b82597f4d3f
| * Mark Clang 4.0 as warning-freeThiago Macieira2017-01-311-2/+2
| | | | | | | | | | Change-Id: If337c17c98844a98b196fffd146e63c38ce1ee7b Reviewed-by: Lars Knoll <lars.knoll@qt.io>
* | Merge remote-tracking branch 'origin/5.8' into devLiang Qi2017-01-251-1/+4
|\ \ | |/ | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Conflicts: .qmake.conf mkspecs/common/msvc-desktop.conf mkspecs/common/msvc-version.conf mkspecs/common/winrt_winphone/qmake.conf mkspecs/features/mac/default_post.prf mkspecs/features/mac/sdk.prf mkspecs/features/qt.prf mkspecs/features/uikit/default_post.prf mkspecs/features/winrt/default_pre.prf mkspecs/winphone-arm-msvc2013/qmake.conf mkspecs/winphone-x86-msvc2013/qmake.conf mkspecs/winrt-arm-msvc2013/qmake.conf mkspecs/winrt-x64-msvc2013/qmake.conf mkspecs/winrt-x86-msvc2013/qmake.conf qmake/generators/win32/msvc_vcproj.cpp src/gui/kernel/qwindowsysteminterface.cpp src/network/kernel/qhostaddress.cpp src/plugins/platforms/mirclient/qmirclientplugin.cpp src/plugins/platforms/mirclient/qmirclientplugin.h src/widgets/util/qsystemtrayicon.cpp tests/auto/widgets/itemviews/qlistview/tst_qlistview.cpp tools/configure/Makefile.mingw tools/configure/Makefile.win32 Done-with: Jake Petroules <jake.petroules@qt.io> Done-with: Oswald Buddenhagen <oswald.buddenhagen@qt.io> Change-Id: I4be3262d3994e11929d3b1ded2c3379783797dbe
| * utilize configure results better in native buildsOswald Buddenhagen2017-01-201-1/+1
| | | | | | | | | | | | | | | | | | don't ignore detected features for host tools when we're not actually cross-building. Change-Id: Id62a3c1c6b7ae422b14efb4fbea0892b05a047cc Reviewed-by: Thiago Macieira <thiago.macieira@intel.com> Reviewed-by: René J.V. Bertin <rjvbertin@gmail.com>
| * Fix GCC 7 developer buildAllan Sandfeld Jensen2016-12-261-0/+3
| | | | | | | | | | | | | | | | | | | | | | | | Disables escalating the implicit fallthough warning to an error, since Qt is not yet free of unmarked implicit fallthroughs. With this we can clean the code in the dev branch instead of in 5.6 and 5.8, and only backport bug fixes. Change-Id: Id30ee21b77de6defcb7d5bb1e05e86c0db098481 Reviewed-by: Oswald Buddenhagen <oswald.buddenhagen@qt.io> Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
* | Enable QT_NO_NARROWING_CONVERSIONS_IN_CONNECT in Qt's own buildGiuseppe D'Angelo2016-10-211-0/+2
|/ | | | | | Change-Id: I3a8c1cfa20fd4f946ee2e16a027a8c6439102020 Reviewed-by: Marc Mutz <marc.mutz@kdab.com> Reviewed-by: Thiago Macieira <thiago.macieira@intel.com>
* Merge remote-tracking branch 'origin/5.7' into 5.8Liang Qi2016-09-051-3/+3
|\ | | | | | | | | | | | | | | Conflicts: mkspecs/features/qt_common.prf src/plugins/platforms/windows/qwindowsdialoghelpers.cpp Change-Id: I03b92b6b89ecc5a8db7c95f04ebb92ed198098a8
| * Merge remote-tracking branch 'origin/5.6' into 5.7Liang Qi2016-09-051-3/+3
| |\ | | | | | | | | | | | | | | | | | | Conflicts: tests/auto/testlib/selftests/generate_expected_output.py Change-Id: If856162abf9a24ae2c9946d336a7d1da03520fa7
| | * Mark Apple Clang 7.x as warning-free on macOS and (also Clang 3.9) iOSJake Petroules2016-08-311-3/+3
| | | | | | | | | | | | | | | | | | | | | | | | iOS was excluded in 09aeda21b902763919c2e0b2b06d09275d136e8c, probably unnecessarily. The build has been found to be warning-free. Change-Id: I81de2fff40938b6ab9f7a6a5b9f08f8a8baadb16 Reviewed-by: Oswald Buddenhagen <oswald.buddenhagen@theqtcompany.com>
* | | Merge remote-tracking branch 'origin/5.7' into 5.8Liang Qi2016-08-291-4/+4
|\ \ \ | |/ / | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | cf53aa21bf0f8fbd13c0ce2d33ddf7bc63d0d76a and 3aaa5d6b32130d3eeac872a59a5a44bfb20dfd4a were reverted because of reconstruction in 5.7. defineTest(qtConfTest_checkCompiler) in configure.pri is smart enough to cover the case in a9474d1260a8c8cc9eae14f2984098919d9684e5. DirectWrite: Fix advances being scaled to 0 Since 131eee5cd, the stretch of a font can be 0, meaning "whatever the font provides". In combination with ec7fee96, this would cause advances in the DirectWrite engine to be scaled to 0, causing the QRawFont test to fail. Conflicts: configure mkspecs/features/uikit/device_destinations.sh mkspecs/features/uikit/xcodebuild.mk src/corelib/global/qglobal.cpp src/corelib/global/qnamespace.qdoc src/plugins/platforms/cocoa/qcocoamenuitem.h src/plugins/platforms/windows/qwindowsservices.cpp src/plugins/platformthemes/gtk3/qgtk3dialoghelpers.cpp src/plugins/platforms/windows/qwindowsfontenginedirectwrite.cpp src/widgets/kernel/qapplication.cpp tests/auto/widgets/dialogs/qfiledialog/tst_qfiledialog.cpp tests/auto/widgets/dialogs/qfiledialog2/tst_qfiledialog2.cpp Change-Id: I4656d8133da7ee9fcc84ad3f1c7950f924432d1e
| * | Merge remote-tracking branch 'origin/5.6' into 5.7Liang Qi2016-08-291-2/+2
| |\ \ | | |/ | | | | | | | | | | | | | | | | | | Conflicts: configure src/plugins/platforms/winrt/qwinrtclipboard.cpp Change-Id: Ic6d58be3d1ed2bb507f2ba06c82361afd9f9ddb9
| | * Mark Clang 3.9 as warning-freeThiago Macieira2016-08-271-2/+2
| | | | | | | | | | | | | | | Change-Id: Id75834dab9ed466e94c7ffff1444b71f29f49afd Reviewed-by: Jake Petroules <jake.petroules@qt.io>
| * | Merge remote-tracking branch 'origin/5.6' into 5.7Liang Qi2016-08-251-2/+2
| |\ \ | | |/ | | | | | | | | | | | | | | | | | | Conflicts: src/corelib/mimetypes/qmimeprovider.cpp src/corelib/mimetypes/qmimetype.cpp Change-Id: Ib483ddb6bfc380e7c8f195feca535703814c3872
| | * fix conditions relating to host_build in non-cross buildsOswald Buddenhagen2016-08-241-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | when it comes to compiler flags (be it warnings or include paths), it doesn't matter whether we building/using bootstrap libraries, but whether we are actually cross-building. amends c55bdc271f and d8be8110a. Change-Id: Idf988107e9cccc486672c0ee70dc9bdf8eab9d8c Reviewed-by: Lars Knoll <lars.knoll@qt.io>